%global momorel 1

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		gammu
Version:        1.24.0
Release:        %{momorel}m%{?dist}
Summary:        Command Line utility to work with mobile phones
Group:          Applications/System
License:        GPLv2+
URL:            http://cihar.com/gammu/
Source0:	http://dl.cihar.com/gammu/releases/%{name}-%{version}.tar.bz2
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf, gettext, cmake
BuildRequires:	libusb1-devel, doxygen
BuildRequires:  libdbi-devel, libcurl-devel
#enabling bluetooth fonction
BuildRequires:	bluez-libs-devel >= 4.00
#enabling mysql sms fonction
BuildRequires:	postgresql-devel, mysql-devel >= 5.1.32
Requires:       bluez-utils >= 4.00

%package	libs
Summary:	Libraries files for %{name}
Group:		System Environment/Libraries

%package -n     python-%{name}
Summary:	Python bindings for Gammu
Group:		Development/Languages
BuildRequires:  python-devel
Requires:       %{name} = %{version}-%{release}

%package	devel
Summary:	Development files for %{name}	
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig

%description
Gammu is command line utility and library to work with mobile phones
from many vendors.
Support for different models differs, but basic functions should work
with majority of them. Program can work with contacts,
messages (SMS, EMS and MMS), calendar, todos, filesystem,
integrated radio, camera, etc.
It also supports daemon mode to send and receive SMSes.

%description	libs
The %{name}-libs package contains libraries files that used by %{name}

%description -n python-%{name}
Python bindings for Gammu library.
It currently does not support all Gammu features,
but range of covered functions is increasing,
if you need some specific, feel free to use bug tracking system for feature requests.

%description	devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix}	\
	-DBUILD_SHARED_LIBS=ON		\
	-DENABLE_BACKUP=ON		\
	-DWITH_NOKIA_SUPPORT=ON		\
	-DWITH_Bluez=ON			\
	-DWITH_IrDA=On			\
	-DINSTALL_LIB_DIR=%{_libdir}	\
	-DINSTALL_LIBDATA_DIR=%{_libdir} \
	../
make %{?_smp_mflags} VERBOSE=1
popd

#fix lines ending 
for docs in \
	docs/develop/{protocol/'*',sounds/*,sms/'*'}	\
	docs/develop/{*.htm,*.txt}			\
	docs/user/*.* ; do
	sed -e 's/\r//' -i $docs
done

%install
rm -rf %{buildroot}
make -C build install DESTDIR=%{buildroot}

# remove library
rm -f %{buildroot}%{_libdir}/libGammu.a

#Improve installed documentations directories
mkdir devel_docs
mkdir -p docs/symbian
cp -pR %{buildroot}%{_docdir}/%{name}/devel/* devel_docs
cp -pR %{buildroot}%{_docdir}/%{name}/symbian/* docs/symbian
cp -pR %{buildroot}%{_docdir}/%{name}/examples/* docs/examples
cp -p %{buildroot}%{_docdir}/%{name}/*.* .
rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name}
%find_lang lib%{name}
cat lib%{name}.lang >> %{name}.lang

%clean
rm -rf %{buildroot}

%post -n %{name}-libs -p /sbin/ldconfig

%postun -n %{name}-libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog README docs/* BUGS SUPPORTERS *.html *.txt
%{_bindir}/%{name}*
%{_bindir}/jadmaker
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/cs/man1/*
%{_mandir}/cs/man5/*
%{_mandir}/cs/man7/*
%config %{_sysconfdir}/bash_completion.d/%{name}

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n python-%{name}
%defattr(-,root,root,-)
%{python_sitearch}/%{name}

%files devel
%defattr(-,root,root,-)
%doc devel_docs/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}

%changelog
* Thu May 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.24.0-1m)
- update to 1.24.0 based on Fedora 11 (1.24.0-1)
- License: GPLv2+

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.22.1-4m)
- rebuild against openssl-0.9.8k

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.22.1-3m)
- rebuild against mysql-5.1.32

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.22.1-2m)
- rebuild against rpm-4.6

* Sat Dec 20 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.22.1-1m)
- update 1.22.1

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21.0-1m)
- update to 1.21.0

* Wed Jul  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20.0-1m)
- update to 1.20.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.10.6-2m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.6-2m)
- %%NoSource -> NoSource

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10.6-1m)
- initial build for Momonga Linux 4
